Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Class Doclet

    java.lang.Object
      |
      +--com.sun.javadoc.Doclet

public abstract class Doclet
extends java.lang.Object

This class documents the entry-point methods in a Doclet. It may be used as the superclass of a doclet but this is not required.

Constructor Summary
`Doclet()`

Method Summary
`static int` | `optionLength(java.lang.String option)` Check for doclet added options here.
`static boolean` | `start(RootDoc root)` Generate documentation here.
`static boolean` | `validOptions(java.lang.String[][] options, DocErrorReporter reporter)` Check that options have the correct arguments here.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Doclet

    public Doclet()

Method Detail

### start

    public static boolean start(RootDoc root)

  Generate documentation here. This method is required for all doclets.
  Returns:
    true on success.

### optionLength

    public static int optionLength(java.lang.String option)

  Check for doclet added options here.

  This method is not required and will default gracefully (to zero) if absent.

  Returns:
    number of arguments to option. Zero return means option not known. Negative value means error occurred.

### validOptions

    public static boolean validOptions(java.lang.String[][] options,
                                       DocErrorReporter reporter)

  Check that options have the correct arguments here.

  This method is not required and will default gracefully (to true) if absent.

  Printing option related error messages (using the provided DocErrorReporter) is the responsibility of this method.

  Returns:
    true if the options are valid.

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD